Page MenuHomePhabricator

Wikidata Query Service short url function broken
Closed, ResolvedPublic

Description

Problem:
When trying to generate a short URL of the current query using the built-in function of the Query Service it doesn't work. The popup appears that usually contains the URL but it is empty.

Screenshots:

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 26 2019, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev triaged this task as High priority.Feb 26 2019, 7:33 PM

Also, "SPARQL endpoint" link appears to be broken too. But short URL works for me locally, doesn't work in deployed version. Strange...

Looking at the HTML source, the iframe that is supposed to be in the popup does not even appear. I traced inside bootstrap code and looks like bootstrap popover code applies sanitizeHtml() to the content, which removes the iframe. Not sure if it's something new - I thought clickover module is supposed to prevent this from happening...

Change 493114 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[wikidata/query/gui@master] Fix short URL popups - do not sanitize out iframe

https://gerrit.wikimedia.org/r/493114

Glad this has a High priority: I'm running a training session for the query service for Oxford University staff tomorrow morning. It'll be a lot more stressful if these features aren't working. Lesson learned that I should in future immediately raise the issue here on Phab.

Change 493114 merged by jenkins-bot:
[wikidata/query/gui@master] Fix short URL popups - do not sanitize out iframe

https://gerrit.wikimedia.org/r/493114

Change 493273 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from e4fee788ae3942d3b02851a7795c7014752a8dbd:

https://gerrit.wikimedia.org/r/493273

Change 493273 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from e4fee788ae3942d3b02851a7795c7014752a8dbd:

https://gerrit.wikimedia.org/r/493273

Mentioned in SAL (#wikimedia-operations) [2019-02-27T18:25:33Z] <smalyshev@deploy1001> Started deploy [wdqs/wdqs@465673b]: Redeploy GUI for T217161

Mentioned in SAL (#wikimedia-operations) [2019-02-27T18:36:25Z] <smalyshev@deploy1001> Finished deploy [wdqs/wdqs@465673b]: Redeploy GUI for T217161 (duration: 10m 51s)

Smalyshev closed this task as Resolved.Feb 27 2019, 6:55 PM
Smalyshev claimed this task.